textures/morkul/nodraw
{
	qer_editorimage	textures/common/nodraw.jpg
	qer_trans	0.7
	surfaceparm	nomarks
	surfaceparm	nodraw
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	trans
	q3map_nolightmap
}

textures/morkul/banner123_dirty
{
	qer_editorimage	textures/morkul/banner123_dirty.jpg
	surfaceparm	nomarks
	surfaceparm	nonsolid
	cull	twosided
	deformvertexes	wave	8 sin 0 1 0 0.75
    {
        map $lightmap
    }
    {
        map textures/morkul/banner123_dirty.jpg
        blendFunc GL_DST_COLOR GL_ZERO
    }
}

textures/morkul/bird
{
	qer_editorimage	textures/spiral_graphics/deep_cave.jpg
	surfaceparm	nomarks
	q3map_nolightmap
	q3map_novertexshadows
    {
        map textures/spiral_graphics/deep_cave.jpg
    }
}

textures/morkul/still_lava
{
	qer_editorimage	textures/morkul/lava.jpg
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	lava
	surfaceparm	trans
	q3map_nolightmap
	q3map_onlyvertexlighting
	q3map_novertexshadows
	cull	twosided
    {
        map textures/morkul/lava.jpg
        rgbGen wave sin 0.5 0.1 0 0.2
        tcMod turb 0 -0.05 0 0.038
        tcMod scroll 0.0055 0.003
        tcMod rotate 1
    }
    {
        map textures/morkul/lava.jpg
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen wave sin 0.8 0.115 0 0.1
        alphaGen const 0.2
    }
}

textures/morkul/red_fog
{
	qer_editorimage	textures/fogs/fog.tga
	qer_nocarve
	surfaceparm	nodraw
	surfaceparm	nonsolid
	surfaceparm	nonopaque
	surfaceparm	fog
	surfaceparm	trans
	q3map_nolightmap
	fogparms	( 0.22 0.08 0.08 ) 6125.0
}

textures/morkul/skybox_red
{
// q3map_skylight 250 3

	q3map_lightimage	textures/atcs/skylight.tga
	qer_editorimage	textures/skies/sky.jpg
//	sun 0.98 0.3 0.1 87 281 128.4
	surfaceparm	sky
	surfaceparm	noimpact
	q3map_nolightmap
	q3map_globaltexture
	skyParms	textures/morkul/redsky 512 -
}

textures/morkul/skybox_yellow
{
// q3map_skylight 250 3

	q3map_lightimage	textures/atcs/skylight.tga
	qer_editorimage	textures/skies/skies.jpg
	sun 0.98 0.27 0 87 281 128.4
	surfaceparm	sky
	surfaceparm	noimpact
	q3map_nolightmap
	q3map_globaltexture
	skyParms	textures/morkul/yelsky 512 -
}

textures/morkul/portal
{
	qer_editorimage	textures/imp_mine/kplate3.jpg
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_nolightmap
	q3map_novertexshadows
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -999.5 1000 0 0.064
    }
    {
        map textures/spiral_graphics/cape_amethyst
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen wave sin 0.35 0.04 1 0.6
        alphaGen const 0.6
        tcMod rotate 35
    }
    {
        map textures/spiral_graphics/starburst
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen const ( 0.380000 0.380000 0.380000 )
        alphaGen const 0.9
        tcMod rotate 325
    }
}

textures/morkul/portal2
{
	qer_editorimage	textures/common/water_1.jpg
	surfaceparm	nomarks
	surfaceparm	nonsolid
	surfaceparm	trans
	q3map_nolightmap
	q3map_novertexshadows
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -999 1000 0 0.2
    }
    {
        map $whiteimage
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin -999 1000 0 0.35
    }
    {
        map textures/spiral_graphics/spiral
        blendFunc GL_ONE GL_ONE
        rgbGen const ( 0.500000 0.500000 0.500000 )
        alphaGen const 0.2
        tcMod scroll 6 -0.2
    }
    {
        map textures/spiral_graphics/cape_amethyst
        blendFunc GL_ONE GL_SRC_ALPHA
        rgbGen wave sin 0.25 0.06 1 0.5
        alphaGen const 0.8
        tcMod rotate 35
    }
}

